package com.fs.crm.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 客户日志对象 crm_customer_logs
 *
 * @author fs
 * @date 2022-12-21
 */
public class CrmCustomerLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long logsId;

    /** 客户ID */
    @Excel(name = "客户ID")
    private Long customerId;

    /** 销售ID */
    @Excel(name = "销售ID")
    private Long companyUserId;

    private String userName;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 日志类型 */
    @Excel(name = "日志类型")
    private Integer logsType;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public void setLogsId(Long logsId)
    {
        this.logsId = logsId;
    }

    public Long getLogsId()
    {
        return logsId;
    }
    public void setCustomerId(Long customerId)
    {
        this.customerId = customerId;
    }

    public Long getCustomerId()
    {
        return customerId;
    }
    public void setCompanyUserId(Long companyUserId)
    {
        this.companyUserId = companyUserId;
    }

    public Long getCompanyUserId()
    {
        return companyUserId;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setLogsType(Integer logsType)
    {
        this.logsType = logsType;
    }

    public Integer getLogsType()
    {
        return logsType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("logsId", getLogsId())
            .append("customerId", getCustomerId())
            .append("companyUserId", getCompanyUserId())
            .append("title", getTitle())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("logsType", getLogsType())
            .toString();
    }
}
